from Globals import Persistent, InitializeClass
import OFS
import Acquisition
import AccessControl
from Products import ZCatalog

class user:

    def __init__(self, user):
        self.user_ = user

    def get_id(self):
        return self.user_.getId()


class preferences(
    ZCatalog.CatalogAwareness.CatalogAware,
    OFS.Folder.Folder,
    Persistent,
    Acquisition.Implicit,
    AccessControl.Role.RoleManager,
    ): 
    """A class for managing user-preferences."""

    meta_type = 'Preferences'
    security = AccessControl.ClassSecurityInfo()
    email = ''

    security.declarePrivate('set')
    def set(self, name, value):
        exec("self.%s = value" % name)

    # Hack needed for ZCatalog indexing, for some reason,
    # methods are inherited from the containing object
    # when indexing.
    get_number_of_issues = get_issues = lambda x: None

    def __init__(self, id=None, owner=None):
        self.id = id
        self.owner_ = owner
        # Various settings
        self.show_all = 0
        self.show_type = 0
        self.show_remote_in_tree_view = 1
        self.show_contents = 0
        self.show_remote_help = 1
        self.show_deleted = 0
        self.show_contents = 0
        self.show_all_search_widgets = 0
        # Last visited Issue for user
        self.last_visited_issue = None
        # The session the user is currently using
        self.issue_manager_session = None

InitializeClass(preferences)
